# Module Ocsigen_senders.File_content

    module File_content: Ocsigen_http_frame.HTTP_CONTENT
      with  type t =
       string * Ocsigen_charset_mime.charset_assoc * Ocsigen_charset_mime.mime_assoc

    type t

    type options

    val result_of_content : ?options:options ->
           t -> Ocsigen_http_frame.result Lwt.t

    val get_etag : ?options:options ->
           t -> Ocsigen_http_frame.etag option